Page MenuHomePhabricator

Option to place local blocks at Meta uses weird block settings
Closed, ResolvedPublic

Description

Hello. At Special:GlobalBlock there's an option to block also the IP or IP range at Meta-Wiki, since global blocks do not apply to Meta by default. However the extension do blocks with weird block settings and logs. For example, in Special:Log/block:

  • 10:14, 7 March 2015 Tegel (talk | contribs | block) blocked 178.32.26.63 (talk) with an expiry time of 1 year (Open proxy: Open proxy) (unblock | change block)

By seeing this log, we guess that the IP has been blocked for all users (anon. only unchecked), account creation is allowed and talk page/email is also enabled.

However if we check the Special:BlockList we see:

TimestampTargetExpiresBlocking adminBlock parametersReason
10:14, 7 March 2015178.32.26.63 (talk)10:14, 7 March 2016 (unblock/change block)Tegel (talk/contribs/block)account creation disabled, cannot edit own talk pageOpen proxy: Open proxy

As such:

  1. There's a disparity between what's shown on Special:Log/block and Special:BlockList wrt block settings.
  2. There's no reason to block talk page access for globally blocked IPs at Meta unless such access is abused.
  3. Local block should use the same settings as global block. If the IP is globally blocked for anonymous users only, the block at Meta should also be for anonymous users only (with account creation disabled for both cases).

Thanks.

Event Timeline

MarcoAurelio raised the priority of this task from to Needs Triage.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a project: GlobalBlocking.
MarcoAurelio added a subscriber: MarcoAurelio.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2015, 2:39 PM
Aklapper triaged this task as Low priority.Mar 9 2015, 2:35 PM
Glaisher claimed this task.Mar 12 2015, 5:31 AM

Change 196158 had a related patch set uploaded (by Glaisher):
Fix settings for local block which comes with the gblock

https://gerrit.wikimedia.org/r/196158

Looks like SpecialBlock doesn't log 'nousertalk' if $wgBlockAllowsUTEdit is false so log entries won't be consistent in that case but this shouldn't affect meta because we have it set to true.

Change 196158 merged by jenkins-bot:
Fix settings for local block which comes with the gblock

https://gerrit.wikimedia.org/r/196158

Glaisher closed this task as Resolved.Jul 31 2015, 9:34 AM

It will block with account creation disabled, and will be anon-only if the gblock is also an anon-only block. Talk page access is also always disabled per hoo on rEGBLeadf476f9 (not what was originally requested on this task). Log entries would also be consistent.

Thank you, but not allowing gblocked IPs to even post at their talk page an
unblock request if talk page has not been abused makes me a bit unease.
Best regards.

My personal opinion is also that it should be allowed but as mentioned on the commit message, it has been discussed among stewards previously.

Glaisher set Security to None.
MarcoAurelio reopened this task as Open.EditedAug 8 2015, 2:54 PM

Hi. There's a minor issue in the log entries:

  • (Block log); 14:45 . . MarcoAurelio (talk | contribs | block) blocked xxx.xxx.xxx.xxx (talk) with an expiry time of 31 hours (account creation disabled, cannot edit own talk page, anonymous users only) ‎(Cross-wiki vandalism)

In order to keep a uniformity with the rest of block log entries, that "anon. only" flag should be said first, such as in:

  • (...) blocked 79.96.31.139 (talk) with an expiry time of 1 year (anonymous users only, account creation disabled, cannot edit own talk page) (Open proxy or zombie (more info)) (unblock | change block)

Thanks.

In order to keep a uniformity with the rest of block log entries, that "anon. only" flag should be said first, such as in:

https://gerrit.wikimedia.org/r/230409 would fix this.

Glaisher closed this task as Resolved.Sep 17 2015, 3:23 PM